Subject: Re: [Stackevo] Winding up the Stack Evolution Program

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Wed, 7 Aug 2019 16:16:34 +0200

Greetings, all,

At the meeting in Montreal two weeks ago, the IAB has formally closed the program, thereby declaring victory.

Thank you all for your participation over the years to help evolve the stack! Further discussion on this topic that doesn't fit in an IETF WG should head over to [email-masked]

Thanks, cheers,

Brian

> On 20 May 2019, at 11:59, Brian Trammell (IETF) <[email-masked]> wrote:
> 
> Greetings, all,
> 
> At the IAB retreat last week, as part of a review of the structure of its programs, the IAB discussed the future of the Stack Evolution program, and has decided that once draft-thomson-use-it-or-lose-it has been sent up to the IAB as a whole, that the program should be closed in its present form. 
> 
> I, personally, consider this a declaration of victory, and thank you all for your work and the discussions over the past few years. 
> 
> The initial concept behind the IP Stack Evolution program, investigating how changes to the transport layer could be deployed in the big-I Internet, and explore the impact of encryption at the transport layer on evolution of the stack. At the time the program started, there was not much work yet in and around the IETF in this space. 
> 
> That has changed. TAPS has been chartered (and is well on its way to defining an abstract interface that reduces the rigidness of the binding between interfaces and transports). QUIC has demonstrated that it is possible to deploy a new transport protocol at scale, and nearly finished an IETF standard version of that protocol. Conversations (many conversations) have started about the balance of measurability and confidentiality, in the form of the QUIC spin bit. A wider discussion about the history of transport-layer signaling, and what we can learn from it going forward, is ongoing in PANRG. 
> 
> There two possible next steps for the program as I see it:
> 
> (1) declare victory, close, and continue the discusson in the IETF and in the hallways; and/or
> 
> (2) determine if there is follow-on work to be coordinated by and with the IAB, and if so, propose a description for a follow-on program. 
> 
> If there's interest in (2), please let us know on the stackevo@ list.
> 
> Thanks, cheers,
> 
> Brian (outgoing IAB lead)